# Interface PopupContentExtensionCollection

The collection of PopupContentExtensions belonging to a data/Schema.

interface PopupContentExtensionCollection {
initializedItems: ReadOnlyCollection<PopupContentExtension>;
forContent(content: Content): PopupContentExtension;
}

#### Hierarchy (view full)

- InitializableCollection<PopupContentExtensionProperties, PopupContentExtension>
  - PopupContentExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

forContent

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<PopupContentExtension>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### forContent

- forContent(content): PopupContentExtension

- Returns the PopupContentExtension for the given popup content item.

  #### Parameters

  - content: Content

    The popup content item to get the PopupContentExtension for.

  #### Returns PopupContentExtension